Subject: bug#27974: Acknowledgement (25.2; string-rectangle on-the-fly preview bad)

From: Bob Proulx <[email-masked]>
Date: Sat, 5 Aug 2017 15:11:03 -0600

tags 27974 + patch
thanks

Filing this ticket generated more discussion and I was informed that
rectangle-preview variable controls this feature.  Yes!  This is what
I needed to know.  I really must ask, is this really a good change?
It is extremely annoying behavior.

    ;; Disable nasty on-the-fly preview from string-rectangle.
    (setq rectangle-preview nil)

However this bug ticket is still relevant because this information
should be provided in the NEWS (and perhaps Antinews) pages.

Let me suggest the following addition to the NEWS file.

 *** 'string-rectangle' provides on-the-fly preview of the result.
+This is controlled by the rectangle-preview variable.  Defaults to t.
+Set (setq rectangle-preview nil) if you want the previous behavior.

Please consider this patch.  Thanks.

Bob